
User Interface - Bug #2783

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

./window_sizing/create_empty_window.p fails for web and swing clients

10/23/2015 01:58 PM - Sergey Ivanovskiy

Status: Closed Start date: 10/23/2015

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/23/2015 01:59 PM - Sergey Ivanovskiy

./window_sizing/create_empty_window.p, ./window_sizing/test_runner.p and ./window_sizing/default_empty_window.p fail with open and close circles

for the swing client.

#2 - 10/26/2015 09:02 AM - Greg Shah

- Assignee set to Sergey Ivanovskiy

- Target version set to Milestone 12

#3 - 10/26/2015 09:51 AM - Sergey Ivanovskiy

This program is a test suit with tracing the results to the window_sizing.log file and it doesn't represent a clear visual demo.

Greg, could you help me to run correctly this program on P2j? The readme.txt only describes how to run this tests suit with the Progress 4GL, but not

how to run it on P2J. I have checked create_empty_window.p converts "run" statements to the following construction

ControlFlowOps.invokeWithMode("window_sizing/window_positioning_failures.p", "II", hwin, new logical(false)); 

Thus it doesn't convert window_positioning_failures.p. May be this issue is raised due to not all required procedures are converted.

#4 - 10/27/2015 12:24 PM - Greg Shah

Thus it doesn't convert window_positioning_failures.p. May be this issue is raised due to not all required procedures are converted.

 

Yes, this is the issue.  You must convert all the window_sizing/*.p files.  Then run ./window_sizing/test_runner.p using p2j-entry in the directory

(com.goldencode.testcases.window_sizing.TestRunner.execute) or using client:cmd-line-option:startup-procedure=./window_sizing/test_runner.p on

the Swing client command line.
#5 - 11/05/2015 01:12 PM - Greg Shah

Is there a real issue left here or was the original problem just a matter of missing converted code?  If there is no known issue, I'd like to close this.

#6 - 11/05/2015 01:36 PM - Sergey Ivanovskiy

- File window_sizing.log added

Is there a real issue left here or was the original problem just a matter of missing converted code?  If there is no known issue, I'd like to close

this.

 

These testcases aren't failed if all required files are converted, compiled and the complete testcase.jar is build. But it is difficult for me to conclude that

these tests are passed or not, because the tests results are in the log file and there is no hint what is expected as a result of the corresponding test.

For example, I found these lines in window_sizing.log

window_positioning_failures start                                                                             

                                                           

beginning state: ROW = 2.05; COLUMN = 4.4; X = 17; Y = 22; WIDTH-PIXELS = 400; HEIGHT-PIXELS = 462; WIDTH-CHAR

S = 80; HEIGHT-CHARS = 22; RESIZE = yes; THREE-D = yes;                                                       

                                                                                  

UNEXPECTED_ERROR: Expected the ROW to be -131072 and found -131070                                            

                                                                                                              

                                                                                                 

UNEXPECTED_ERROR: Expected the ROW to be -131072 and found -131070                                            

                                                                                                              

                                                                                                  

UNEXPECTED_ERROR: Expected the COLUMN to be -131072 and found -131070                                         

                                                                                                              

                                                                                              

UNEXPECTED_ERROR: Expected the COLUMN to be -131072 and found -131070                                         

                                                                                              ending state: RO

W = -131070; COLUMN = -131070; X = -655355; Y = -2752491; WIDTH-PIXELS = 400; HEIGHT-PIXELS = 462; WIDTH-CHARS

 = 80; HEIGHT-CHARS = 22; RESIZE = yes; THREE-D = yes;                                                        

                                                                                 

#7 - 11/05/2015 01:52 PM - Greg Shah
- Status changed from New to Closed

That is an issue, but it is something to be worked in another task.  I'm going to close this.

#8 - 11/10/2015 05:09 AM - Greg Shah

- % Done changed from 0 to 100

#9 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

window_sizing.log 1.05 MB 11/05/2015 Sergey Ivanovskiy
